/* CSS Document */

:root {
    --colour1: #ff0082;
    --colour2: #b0bdc1;
}

body {
    font-family: 'Montserrat', sans-serif;
}


h1,
h2,
h3,
h4 {
    font-family: "meno-banner", serif;
    font-weight: 600;
    font-style: normal;
    color: #fb4695;
}

p,
li {
    font-weight: 300;
    font-size: 17px;
    line-height: 23px;
    letter-spacing: .5px;
    color: #444;
}

b,
strong {
    color: var(--colour1);
}

a {
    text-decoration: none;
    color: #fb4695;
}

.heading {
    font-weight: 400;
    width: 100%;
    border-bottom: 1px solid var(--colour1);
    padding-bottom: 16px;
}

#page-content {
    display: grid;
    width: 100%;
    grid-gap: 32px;
    padding: 64px 0 64px;
    background-color: #fff;
    z-index: 4;
}

.workspace {
    grid-gap: 32px;
}

.secondColour {
    color: var(--colour2);
}

/* - */

#header {
    display: grid;
    background-color: #fff;
    z-index: 4;
}

.header-inner {
    display: grid;
    width: 100%;
    grid-gap: 16px;
    padding-bottom: 32px;
}

@media(min-width:768px) {
    #header {}
}

@media(min-width:992px) {
    #header {
        grid-template-columns: auto 950px auto;
    }

    .header-inner {
        grid-column: 2;
        grid-template-columns: repeat(3, 33%);
        padding: 32px 0;
        grid-gap: 0;
    }
}

@media(min-width:1200px) {
    #header {
        grid-template-columns: auto 1200px auto;
    }
}

/* - */

.social-container {
    display: grid;
    justify-self: center;
    align-self: center;

    grid-gap: 16px;
    margin-top: 16px;
}

@media(min-width: 992px) {
    .social-container {
        justify-self: start;
        margin: 0;
    }
}

.social-container a {
    grid-row: 1;
}

.social-icon {
    font-size: 40px;
}

#logo-container {
    display: grid;
    align-self: center;
    justify-self: center;
}

#logo {
    max-height: 150px;
    justify-self: center;
}

@media(max-width: 600px) {
    #logo {
        justify-self: center;
        max-width: 320px;
    }

}

.contact-details {
    display: grid;
    justify-content: center;
    grid-gap: 16px;
    align-self: center;
}

.contact-details h4,
.contact-details a {
    overflow-wrap: anywhere;
}

@media(min-width: 992px) {
    .contact-details {
        justify-self: end;
    }
}

/* - */

.contact-details a {
    display: flex;
    /* grid-row: 1; */
    justify-self: center;
    align-content: center;
    grid-gap: 8px;
}

.contact-details-icon {
    grid-row: 1;
    align-self: center;
}

.contact-details h4 {
    grid-row: 1;
    align-self: center;
}

/* - */





























hr {
    width: 80%;
    height: 1px;
    background-color: var(--colour1);
    border: none;
}

@media(min-width: 768px) {
    hr {
        width: 750px;
    }
}

@media(min-width: 992px) {
    hr {
        width: 950px;
    }
}

@media(min-width: 1200px) {
    hr {
        width: 1200px;
    }
}

/* - */

.banner {
    display: grid;
}

#banner-image {
    display: grid;
    grid-row: 1;
    grid-column: 1;
    z-index: 1;

    width: 100%;
    height: 128px;
    background-size: cover;
    background-image: url('../img/banner-bg.jpg');
    background-attachment: fixed;
    background-position: center center;
    background-repeat: no-repeat;
}

#banner-overlay {
    display: grid;
    grid-row: 1;
    grid-column: 1;
    z-index: 2;

    width: 100%;
    height: 128px;
    background-size: cover;
    opacity: 0.65;

    background-color: #000;
}

#banner-container {
    display: grid;
    grid-row: 1;
    grid-column: 1;
    z-index: 3;

    width: 100%;
    height: 128px;
    align-content: center;
    justify-content: center;
}

@media (min-width: 768px) {
    #banner-image {
        height: 256px;
    }

    #banner-overlay {
        height: 256px;
    }

    #banner-container {
        height: 256px;
    }
}

#banner-container h1 {
    color: #fff;
}

/* - */



/* - */

.contact-items {
    grid-gap: 20px;
}

.contact-icon {
    grid-row: 1;
    color: #ff0082;
    align-self: center;
    justify-self: start;
    border-right: solid 1px;
    padding-right: 12px;
    font-size: 20px;
    width: 15px;
    max-width: 15px;
}

.contact-items h3 {
    color: var(--colour1);
    grid-row: 1;
    margin: 0;

    align-self: center;
    justify-self: start;
}

.contact-items p {
    grid-row: 1;
    margin: 0;

    align-self: center;
    justify-self: start;
}

.contact-items p,
.contact-items a {
    overflow-wrap: anywhere;
}

.contact-items .element {
    align-content: start;
    justify-content: start;
    grid-gap: 16px;
}







/* Testimonials */

.testimonial-container {
    display: grid;
    width: 100%;
    background-image: url('../img/testimonial-bg.jpg');

    background-position: center center;
    background-color: #111;
    background-repeat: no-repeat;
    background-size: cover;

    min-height: 600px;
}

@media(min-width: 992px) {
    .testimonial-container {
        background-attachment: fixed;
    }
}

.testimonial {
    display: grid;
    align-self: center;
    justify-self: center;

    grid-row: 1;
    grid-column: 1;

    grid-gap: 16px;

    width: 512px;
    max-width: 80vw;

    opacity: 1;

    transition: opacity ease .5s;

    z-index: 3;
}

.opacity-0 {
    opacity: 0 !important;
}

.testimonial h3 {
    color: #fff;
    justify-self: center;
    font-size: 32px;
}

.testimonial p {
    color: #fff;
    justify-self: center;
    text-align: center;
}

.star-container {
    display: grid;
    align-content: center;
    justify-content: center;
}

.star {
    color: #ff0082;
    grid-row: 1;
}


.testimonial-controls {
    display: grid;
    z-index: 1;
    grid-row: 2;
    grid-column: 1;
    align-content: center;
    padding: 0 32px;
}

@media(min-width: 992px) {
    .testimonial-controls {
        grid-row: 1;
        grid-column: 1;
    }
}


.testimonial-arrow {
    color: #fff;
    font-size: 32px;
    grid-row: 1;
    grid-column: 1;

    transition: opacity .5s ease;
}

.testimonial-arrow:hover {
    cursor: pointer;
    opacity: 0.5;
}

.testimonial-left {
    justify-self: start;
}

.testimonial-right {
    justify-self: end;
}

.testimonial-dots {
    display: grid;
    grid-gap: 8px;
    justify-content: center;
    justify-self: center;
    align-self: center;
    z-index: 3;

    grid-row: 2;
    grid-column: 1;
}

.testimonial-dot {
    grid-row: 1;
    width: 8px;
    height: 8px;
    border-radius: 16px;
    background-color: #fff;
    align-self: center;
}

.testimonial-dot:hover {
    cursor: pointer;
    background-color: var(--colour1);
}

.active-testimonial-dot {
    background-color: var(--colour1);
    /*border: none;*/
}


/* - Table - */

.w100 {
    width: 100%;
}

.elem-table {
    border: 1px solid #fff;
    background-color: #fff;
    width: 100%;
    text-align: left;
    border-collapse: collapse;
}

thead {
    background-color: var(--colour1);
    border-bottom: 2px solid #fff;
}

th {
    font-size: 14px;
    font-weight: bold;
    color: #FFFFFF;
    border-left: 2px solid #fff;
    text-transform: uppercase;
    letter-spacing: 2px;
    border: solid 1px;

    height: 20px;
}

th h1 {
    font-size: 14px;
}

tr:nth-child(2n) {
    background: rgba(222, 222, 222, 0.30);
}


/*** TABLE STYLING ***/

table {
    border: 1px solid #fff;
    background-color: #fff;
    width: 100%;
    text-align: left;
    border-collapse: collapse;
}

table td,
table th {
    border: 1px solid #fff;
    padding: 10px 10px;
}

table tbody td {
    font-size: 13px;
}

table thead th:first-child {
    border-left: none;
}

table tfoot td {
    font-size: 14px;
}

table tfoot .links {
    text-align: right;
}

/* Catch-all Centering Class */
.cent {
    justify-self: center;
    text-align: center;
}

.gatehouse {
    margin-block-start: 0px;
    margin-block-end: 0px;
}

.roof .workspace .element {
    align-self: center;
    justify-self: center;
}

.roof .workspace .element .element h1,
.roof .workspace .element .element h3,
.roof .workspace .element .element p {
    justify-self: center;
    text-align: center;
}

@media(max-width: 768px) {
    .roof .workspace .element {
        align-self: left;
        justify-self: left;
    }

    .roof .workspace .element .element h1,
    .roof .workspace .element .element h3,
    .roof .workspace .element .element p {
        justify-self: left;
        text-align: left;
    }
}

/* Mobihide and Mobishow */

.mobishow {
    display: none !important;
}

.mobihide {
    display: grid !important;
}

@media (max-width: 768px) {
    .mobishow {
        display: grid !important
    }

    .mobihide {
        display: none !important;
    }
}

.card {
    padding: 32px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    transition: all ease .25s;
    cursor: pointer;
}

.card:hover {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}





.cntr {
    text-align: center;
}

:root {
    --line-width: 95%;
    --line-colour: var(--colour2);
}

.line {
    width: 100%;
    display: grid;
    grid-gap: 32px;
    grid-template-columns: auto max-content auto;
    opacity: 0.5;
}

.line i,
.line svg {
    align-self: center;
    font-size: 24px;
    color: #444;
}

.line::before {
    content: "";
    height: 1px;
    align-self: center;
    justify-self: end;
    width: var(--line-width);
    background-color: var(--line-colour);
}

.line::after {
    content: "";
    height: 1px;
    align-self: center;
    justify-self: start;
    width: var(--line-width);
    background-color: var(--line-colour);
}

.alt .line i,
.alt .line svg {
    color: #fff;
}

.alt .line::before {
    background-color: #fff;
}

.alt .line::after {
    background-color: #fff;
}


@media(min-width: 992px) {
    .page-img {
        grid-row: 1;
        grid-column: 2;
    }

    .img-left {
        grid-column: 1;
    }

    .page-content {
        grid-row: 1;
    }
}

.center {
    text-align: center;
}

.list {
    display: grid;
    align-content: center;
}

.list p {
    align-content: center;
    display: grid;
    grid-template-columns: max-content auto;
    margin-left: 32px;
}

.list p:before {
    font-family: "Font Awesome 5 Pro";
    font-weight: 300;
    color: var(--colour1);
    align-self: start;
    content: "\f054";
    margin-right: 8px;
    font-size: 16px;
    padding-right: 8px;
}

/* - - - - - - - - - - - - - - - - - - - - - - - - */

.alt {
    background-color: var(--colour3);
    padding: 64px 0 !important;
}

.alt p {
    color: var(--colour4);
}

.alt b {
    color: #fff;
}

.alt :is(h1, h2, h3, h4, .header-block) {
    color: #fff;
}

.alt .list p:before {
    color: #fff;
}

.sub-heading {
    font-size: 28px;
}

.sub-heading {
    font-size: 28px;
}


/* - - - - - - - - - - - - - - - - - - - - - - - - */

.minus-32 {
    margin-bottom: -32px;
}

.minus-64 {
    margin-bottom: -64px;
}

/* From Uiverse.io by santhoshsj-dev */
.bter {
    position: relative;
    padding: 24px 64px;
    border-radius: 50px;
    color: #fff;
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: 2px;
    background-color: transparent;
    border: solid 2px #fff;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
}

.bter .bter-text {
    position: relative;
    z-index: 2;
}

.bter h4 {
    font-size: 20px;

    color: #fff;
}

.bter .fill-container {
    position: absolute;
    left: 0;
    top: 50%;
    width: 100%;
    padding-bottom: 100%;
    transform: translateY(-50%) rotate(180deg);
}

.bter .fill-container::after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #fb4695;
    border-radius: 50px;
    transition: all 0.6s cubic-bezier(0.25, 1, 0.5, 1);
    transform: translateY(-100%);
}

.bter:hover {
    border-color: #fb4695;
    transform: translateY(-4px);
}

.bter:hover .fill-container {
    transform: translateY(-50%) rotate(0);
}

.bter:hover h4 {
    color: white;
    font-size: 20px;
}

.bter:hover .fill-container::after {
    transform: translateY(0);
}

/* Main Title */
.main-title {
    margin-bottom: 0.5rem;
    text-align: center;
    font-family: "meno-banner", serif;
    font-weight: 600;
    font-style: normal;
    font-size: 0.32rem;
    color: #1f2021;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main-title:before,
.main-title:after {
    content: '';
    display: block;
    margin: 0 0.2rem;
    flex: 1;
    border-bottom: 1px solid #1f2021;
}

/* Wrapper */
.wrapper {
    width: 100%;
    margin: auto;
    font-family: 'Source Sans Pro',
        sans-serif;
}

@media (max-width: 768px) {
    .wrapper {
        width: auto;
        padding: 0 0.3rem;
    }
}

/* Radio Button */
input[type='radio'] {
    display: none;
}

input[type='radio']:checked + .item .title {
    color: #fff;
    border-color: #fb4695;
    background-color: #fb4695;
}

input[type='radio']:checked + .item .title:after {
    transform: rotate(180deg);
}

input[type='radio']:checked + .item .content {
    margin-top: 1.3rem;
    margin-bottom: 1.3rem;
    height: auto;
    opacity: 1;
    visibility: visible;
    transition: all 0.3s, opacity 0.7s;
}

/* Item */
.item {
    display: block;
    margin-bottom: 0.1rem;
}

/* Title */
.title {
    padding: 20px;
    border-radius: 0.3rem;
    /*    color: #675b4d;*/
    border: 1px solid;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.2s;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    border-color: #1f2021;
    background-color: #1f2021;
    font-family: "meno-banner", serif;
    font-weight: 600;
    font-style: normal;
}

.title:after {
    content: '\25bc';
    display: inline-block;
    font-size: 12px;
}

/* Content */
.content {
    width: 95%;
    margin: 0 auto;
    padding: 0 0.3rem;
    line-height: 1.6;
    color: #1f2021;
    border: 1px solid;
    border-width: 0 1px;
    height: 0;
    opacity: 0;
    visibility: hidden;
    transition: all 0.2s;
}

.custom-shape-divider-bottom-1768899959 {
    position: relative;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
}

.custom-shape-divider-bottom-1768899959 svg {
    position: relative;
    display: block;
    width: calc(212% + 1.3px);
    height: 64px;
}

.custom-shape-divider-bottom-1768899959 .shape-fill {
    fill: #1F2021;
}

.custom-shape-divider-top-1768900195 {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
}

.custom-shape-divider-top-1768900195 svg {
    position: relative;
    display: block;
    width: calc(148% + 1.3px);
    height: 64px;
}

.custom-shape-divider-top-1768900195 .shape-fill {
    fill: #1F2021;
}
